; MIMO IS CENTRE OF MAP AT ALL TIMES
; MAP TILES CALCULATED BASED ON CURRENT MIMO SQUARE
; 
;torchmap:
;defb 0,0,0,0,0
;defb 0,0,0,0,0
;defb 0,0,
;torchmapmimopos: defb 0
;defb       0,0
;defb 0,0,0,0,0
;defb 0,0,0,0,0

; INPUTS
; C = CURRENT TILE OCCUPIED
calcmimotorchmap:
  push af
  push bc

  ; FIND TOP LEFT OF MIMO GRID
  call convtilenumtocoord ; CONVERT TILE ID TO X,Y IN DE
  ld a,d
  or a
  jr z,foundstartxtile
  dec a
  or a
  jr z,foundstartxtile
  dec a
 
  foundstartxtile:
  ld a,e
  or a
  jr z,foundstartytile
  dec a
  or a
  jr z,foundstartytile
  dec a

  ld h,a

  foundstartytile:

  ld b,5 ; DO 5 TILES IN A ROW 5 TIMES 
  call drawfivetilesloop

  ;
  ;drawtwentyfivetilesloop:
  ;  push bc
  ;  push hl
  ;  call drawfivetilesloop
  ;  pop hl
  ;  ld a,h
  ;  add tilemap_width_tiles
  ;  ld h,a
  ;  pop bc
  ;djnz drawtwentyfivetilesloop

  pop bc
  pop af
ret

; INPUTS
; HL = TOP LEFT TILE TO START REDRAWING
; B = NUMBER OF TILES TO REDRAW
drawfivetilesloop:
  redrawtilesloop:
    ld a,(hl)
    push hl
    or a
    jr z,drawbackgroundcol
    
    call redrawsingletile
    pop hl
    inc hl
  djnz redrawtilesloop
ret

    ; DRAWS EMPTY TILE ACCORDING TO BACKGROUND COLOUR - E.G. ORANGE FOR DESERT, GREEN FOR GRASS
  drawbackgroundcol:
    call ClearTileByTileID
    pop hl
    inc hl
  djnz redrawtilesloop
ret