; USE THIS CODE TO ASSEMBLE DICT.BIN FILE IN BASIC FOR 128k VERSION
; THEN
; SAVE "DICT.BIN",b,&4000,&05AF (or whatever the length is in ram)
;
; STRINGS KEPT IN BANK 3 IF 128K IN USE

;org &4000
;read "dictionarystringsdefs.asm"
;read "dictionarydefs.asm"
;nolist

stringstable:
  defw townname
  defw str_homesweethome
  defw str_abandonedmine
  defw str_abbey
  defw str_lonelyislands
  defw str_palmislands
  defw str_kingscape
  defw str_hiddenbay
  defw str_bluecape
  defw str_monumentvalley
  defw str_emeraldislands
  defw str_midlandport
  defw str_newportbay
  defw str_greatlakes
  defw str_monkeysbay
  defw str_turtlescape
  defw str_buccaneersbay
  defw str_shadowmountains
  defw str_greenbay
  defw str_bayoffogs
  defw str_whalesbay
  defw str_sherwoodforest
  defw str_goldenmountains
  defw str_snakeisland
  defw str_doorlocked
  defw str_churchclosed
  defw str_shopclosed
  defw str_towndesc
  defw str_restartgame
  defw str_goodfood
  defw str_badfood
  ;defw str_archeryrange
  defw ship_options
  defw ship_compass
  defw ship_compass2
  defw str_shopkeeperhello
  defw str_shopkeeperbuying
  defw str_shoptitle   
  defw str_saloontitle
  defw str_jailtitle 
  defw str_banktitle 
  defw str_hoteltitle
  defw str_barman
  defw str_barman2
  defw str_intro
  defw str_shopkeeperlowcash
  defw str_shopkeeperlowspace
  defw str_shopkeeperthanks
  defw str_shopkeepernoitems
  defw str_shopkeeperrefuse
  defw str_narnia
  defw str_mimomum
  defw str_jailor
  defw str_banker
  defw str_banker2
  defw str_minister1
  defw str_minister2
  defw str_minister3
  defw str_minister4
  defw str_pickupobject
  defw str_nowentering
  defw str_asleep1
  defw str_asleep2
  defw str_asleep3
  defw str_goodbye1
  defw str_goodbye2
  defw str_goodbye3
  defw str_goodbye4
  defw str_hands_full
  defw str_shopkeeperinvent

townname:               defb 13,welcome,13,to,15,255  ; WELCOME TO "RANDOM TOWN NAME BASED ON COORDINATES"
str_homesweethome:      defb "HOME SWEET HOME",255
str_abandonedmine:      defb "THE OLD MINE",255
str_abbey:              defb "THE OLD ABBEY",255
str_snakeisland:        defb "SNAKE ISLAND",255
str_lonelyislands:      defb "LONELY ISLANDS",255
str_emeraldislands:     defb "EMERALD ISLANDS",255
str_palmislands:        defb "PALM ISLANDS",255
str_bayoffogs:          defb "APACHE COUNTRY",255
str_greatlakes:         defb "SILENT VALLEY",255
str_turtlescape:        defb "TURTLES CAPE",255
str_greenbay:           defb "GREEN BAY",255
str_sherwoodforest:     defb "SHERWOOD FOREST",255
str_buccaneersbay:      defb "BUCCANEERS BAY",255
str_hiddenbay:          defb "HIDDEN BAY",255
str_whalesbay:          defb "WHALES BAY",255
str_newportbay:         defb "NEWPORT BAY",255
str_monkeysbay:         defb "MONKEYS BAY",255
str_midlandport:        defb "MIDLAND PORT",255
str_kingscape:          defb "KINGS CAPE",255
str_bluecape:           defb "BLUE CAPE",255
str_monumentvalley:     defb "MONUMENT VALLEY",255
str_goldenmountains:    defb "GOLDEN MOUNTAINS",255
str_shadowmountains:    defb "SHADOW MOUNTAINS",255
str_doorlocked:         defb 13,the,13,door," IS LOCKED",255
str_churchclosed:       defb "SERVICE ON SUNDAY",255
str_shopclosed:         defb "OPEN MONDAY",13,to,"SATURDAY",10,"CLOSED SUNDAY",255
str_towndesc:           defb 16," ",13,is_a,19," PLACE",13,to,"BE",255
str_restartgame:        defb "RESTART GAME?",255       ; WHETHER TO RESTART THE GAME OR NOT
;str_archeryrange       defb "THE ARCHERY RANGE",255
str_goodfood:           defb "MMM...",255
str_badfood:            defb "YUCK!",255
ship_options:           defb "1) ",13,emeraldislands,10,"2) ",13,buccaneersbay,10,"3) HOME",10,"4) ",13,newportbay,10,"5) ",13,forest," LAND",255
ship_compass:           defb "I ",13,need,13,my,13,compass," TO ",13,find,13,my,"WAY!",255
ship_compass2:          defb "SHIVER ME TIMBERS! ",13,thankyou,"!",255
str_shopkeeperhello:    defb 13,welcome,"! ",13,would,13,you,13,liketo,13,see," ",13,what,"I ",13,have,"IN STOCK?",255
str_shopkeeperbuying:   defb "DO ",13,you,13,have,"ANYTHING ",13,you,13,would,13,liketo,"SELL?",255
str_shoptitle:          defb "STORE",255
str_saloontitle:        defb "SALOON",255
str_jailtitle:          defb "JAIL",255
str_banktitle:          defb "BANK",255
str_hoteltitle:         defb "HOTEL",255
str_barman:             defb 13,nothing,10,"MILK",10,"ALE",10,13,what,"WILL IT BE, ",13,pardner,"?",255
str_barman2:            defb "DRINK UP",255
str_intro:              defb 13,welcome,13,to,13,mimo,"'S ",13,quest," 0.5",10,12,10,"CREATED BY CHRIS PERVER",255
str_shopkeeperlowcash:  defb 13,comeback,13,when,13,you,13,have,"MORE ",13,money,255
str_shopkeeperlowspace: defb "I ",13,see," ",13,your,13,handsarefull,"!",255
str_shopkeeperthanks:   defb 13,thankyou,"! ",13,comeback,"SOON",255
str_shopkeepernoitems:  defb 13,comeback,13,when,13,you,13,have," SOMETHING ",13,for,"ME",255
str_shopkeeperrefuse:   defb "WE DON'T SERVE ",13,your,"KIND AROUND ",13,here," SON",255
str_narnia:             defb 13,you,"SOLVED ",13,the,"MAZE! T",13,hereis,"A SECRET ",13,door," ",13,that,"LEADS",13,to,"ANOTHER WORLD",255
str_mimomum:            defb "NOW ",13,mimo," DON'T BE WANDERING AWAY ",13,from,13,home,255
str_jailor:             defb 13,you,"NO GOOD ",13,trouble," MAKER, SON! I TOOK ",13,your,13,money," ",13,for,"BAIL",255
str_banker:             defb "AS ",13,you,13,can,13,see," WE ARE STRAPPED ",13,for,"CASH. ",13,comeback,13,when,"WE GET MORE",255
str_banker2:            defb "STOP! THIEF!",255
str_minister1:          defb "BELIEVE ON ",13,the,"LORD JESUS ",13,christ,13,andd,13,you,"SHALL BE SAVED",255
str_minister2:          defb "WHILE WE WERE YET SINNERS, ",13,christ," DIED ",13,for,"US",255
str_minister3:          defb 13,christ," JESUS CAME INTO ",13,the,"WORLD",13,to,"SAVE SINNERS",255
str_minister4:          defb "NO SIN IS TOO ",13,great," ",13,for,"GOD",13,to,"FORGIVE",255
str_pickupobject:       defb 13,you,13,found," A ",11,255
str_nowentering:        defb 13,you,"ARE NOW ENTERING ",11,255
str_asleep1:            defb 13,comeback,"IN ",13,the,"MORNING",255
str_asleep2:            defb "ZZZ...",255
str_asleep3:            defb "IT'S LATE",13,andd,"I'M TIRED",255
str_goodbye1:           defb "ADIOS AMIGO",255
str_goodbye2:           defb 13,thankyou," AGAIN!",255
str_goodbye3:           defb "CHEERIO!",255
str_goodbye4:           defb "BYE!",255
str_hands_full:         defb "I ",13,see," ",13,your,13,handsarefull,". ",13,comeback,13,when,13,you,13,have,"MORE ROOM",255
str_shopkeeperinvent:   defb 11,255
str_notwantedposter:    defb "WANTED: WOMAN WHO ",13,can,"COOK,",10,"CLEAN",13,andd,"MEND SOCKS",255
